Page MenuHomePhabricator

[Story] Automatically create Doxygen documentation of Wikibase PHP code
Closed, ResolvedPublic

Description

Generate doxygen documentation after merge and publish it on https://doc.wikimedia.org and link to it from docs.wikiba.se and link to it from our other documentations.

See for how to automatically run and publish documentation: https://www.mediawiki.org/wiki/Continuous_integration/Documentation_generation

Details

Reference
bz64996

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 3:24 AM
bzimport set Reference to bz64996.
bzimport added a subscriber: Unknown Object (MLST).

http://docs.wikiba.se/ sounds good. Maybe a structure like
http://docs.wikiba.se/repo/0.5/php/
http://docs.wikiba.se/repo/0.5/js/
http://docs.wikiba.se/client/0.5/php/
http://docs.wikiba.se/client/0.5/js/

Not sure if the php/js separation is needed. Is Doxygen able to process both in a single documentation?

If this is done please create a redirect from http://wikidata-docs.wikimedia.de/ to the new location.

For reference, core doxygen docs are here:
https://doc.wikimedia.org/mediawiki-core/master/php/html/index.html
No JS in these docs though. This is shown on the sidebar on https://www.mediawiki.org/ as "Code docs".

The JS could be filtered with a second tool, like http://svn.berlios.de/wsvn/jsunit/trunk/jsunit/util/js2doxy.pl?op=file&rev=0&sc=0 described here http://jsunit.berlios.de/internal.html (assuming it is documented per Javadoc conventions).

Note that WB code has not yet implemented doc groups/modules (unlike core).
See http://www.stack.nl/~dimitri/doxygen/manual/grouping.html

May want to consider adding this rather than splitting up into separate doc builds.

See http://wbdoc.wmflabs.org/ for bundled Wikibase build documentation test.

Check http://wbdoc.wmflabs.org/doxygen.log for warnings.

Lydia_Pintscher removed a subscriber: Unknown Object (MLST).
Lydia_Pintscher removed a subscriber: Unknown Object (MLST).

Can you put it on https://doc.wikimedia.org with the other generated documentation? I think you create a make doc command and Jenkins runs it on check-in through the magic of Continuous integration. @hashar might be able to help.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 4 2015, 9:54 PM
JanZerebecki renamed this task from Doxygen documentation of Wikibase code to Automatically create Doxygen documentation of Wikibase PHP code.Sep 10 2015, 3:25 PM
JanZerebecki updated the task description. (Show Details)
JanZerebecki set Security to None.
JanZerebecki moved this task from incoming to ready to go on the Wikidata board.
JanZerebecki removed a subscriber: Wikidata-bugs.
Jonas renamed this task from Automatically create Doxygen documentation of Wikibase PHP code to [Story] Automatically create Doxygen documentation of Wikibase PHP code.Nov 2 2015, 1:22 PM

There is currently a doxygen job for core. See also T94715. We probably need to create a new one for extensions.

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptApr 19 2016, 8:12 PM
thiemowmde closed this task as Resolved.Oct 25 2016, 3:46 PM
thiemowmde assigned this task to Ladsgroup.
thiemowmde moved this task from ready to go to in progress on the Wikidata board.

See T133028#2741899 for details.

Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptOct 25 2016, 3:46 PM